summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--office/texmaker/texmaker.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/office/texmaker/texmaker.SlackBuild b/office/texmaker/texmaker.SlackBuild
index 3dc06115ea..93d317189a 100644
--- a/office/texmaker/texmaker.SlackBuild
+++ b/office/texmaker/texmaker.SlackBuild
@@ -48,12 +48,8 @@ make \
CXXFLAGS="-pipe $SLKCFLAGS -w -D_REENTRANT \$(DEFINES)"
make install INSTALL_ROOT=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/man/man1
install -m 0644 $CWD/$PRGNAM.1 $PKG/usr/man/man1